commit:     50ebd24d7597b1155ac2818e01641ed260467950
Author:     Jonathan Vasquez <fearedbliss <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 13 23:52:46 2020 +0000
Commit:     Jonathan Vasquez <fearedbliss <AT> gentoo <DOT> org>
CommitDate: Mon Jul 13 23:52:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50ebd24d

sys-kernel/bliss-initramfs: version bumped to 9.0.0

Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Jonathan Vasquez <fearedbliss <AT> gentoo.org>

 sys-kernel/bliss-initramfs/Manifest                |  1 +
 .../bliss-initramfs/bliss-initramfs-9.0.0.ebuild   | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/sys-kernel/bliss-initramfs/Manifest 
b/sys-kernel/bliss-initramfs/Manifest
index a466b19a52d..aedf79cfde2 100644
--- a/sys-kernel/bliss-initramfs/Manifest
+++ b/sys-kernel/bliss-initramfs/Manifest
@@ -1,2 +1,3 @@
 DIST bliss-initramfs-8.0.0.tar.gz 28234 BLAKE2B 
fc1295d9d203e32b5339e42b7c5565f669212e8c17b570b3f8a304dae32ec242c62b74f6dbccacd710b0cc2c4418c3b4a7af64dddc36a52f23881c74457cab7d
 SHA512 
94bf5261cd1ddbf902e026f5e20344aa7def76115009fd18fe67efe65e24b376622ee852236b540452f0f2b2c847debf145602c73dee0113ea0215c7abcbe0df
 DIST bliss-initramfs-8.1.0.tar.gz 34464 BLAKE2B 
5cc4c547fa9fadc91b21f9e752242dd1f3fa81a589457297c2d058fa811ea08deb3aacdcc5f2448856fd1d1c627037c47796f69b39b9691a60d8b0bcfc499cff
 SHA512 
bee5e206ddd388a06ef876d99e36d0e1587d9148d890761e4d56b27e12c83c9a51794a3c9e99cac70de9729297e27051d6c323986f13cf8b3666a6ec66b85090
+DIST bliss-initramfs-9.0.0.tar.gz 27161 BLAKE2B 
d3e50c489e58b6aef807590f88acd014b06d4101da1e7aca3fcd8b6f7d933ebcc1728c774af5861f33cef9f84e9426deba25360c347815ae1ad9b6e742044b3b
 SHA512 
a6942529bf74dc5fa85c6f68b94c0603e30dadeacaceafe57cbfb5cfe87f9b52782b40cf044125f1d60b2d51057b07b444d56c9e3f6b8bffed27796352449af5

diff --git a/sys-kernel/bliss-initramfs/bliss-initramfs-9.0.0.ebuild 
b/sys-kernel/bliss-initramfs/bliss-initramfs-9.0.0.ebuild
new file mode 100644
index 00000000000..6883d269b77
--- /dev/null
+++ b/sys-kernel/bliss-initramfs/bliss-initramfs-9.0.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+inherit python-single-r1
+
+DESCRIPTION="Boot your system's rootfs from Encrypted/OpenZFS."
+HOMEPAGE="https://github.com/fearedbliss/bliss-initramfs";
+SRC_URI="https://github.com/fearedbliss/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="strip"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       app-arch/cpio
+       virtual/udev"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+CONFIG_FILE="/etc/bliss-initramfs/settings.json"
+
+src_install() {
+       # Copy the main executable
+       local executable="mkinitrd.py"
+       exeinto "/opt/${PN}"
+       doexe "${executable}"
+
+       # Copy the libraries required by this executable
+       cp -r "${S}/files" "${D}/opt/${PN}" || die
+       cp -r "${S}/pkg" "${D}/opt/${PN}" || die
+
+       # Copy documentation files
+       dodoc README.md README-MORE.md USAGE.md
+
+       # Copy the configuration file for the user
+       dodir "/etc/${PN}"
+       cp "${S}/files/default-settings.json" "${D}${CONFIG_FILE}"
+
+       # Make a relative symbolic link: /sbin/bliss-initramfs
+       dosym "../opt/${PN}/${executable}" "/sbin/${PN}"
+}
+
+pkg_postinst() {
+       elog "Version 9.0.0 is a BREAKING CHANGE! bliss-initramfs now has 
native"
+       elog "zfs encryption support, and LUKS has been completely removed. If 
you"
+       elog "are using LUKS, please stay on version 8.1.0 since that is the 
last"
+       elog "version to support LUKS!\n"
+       elog "For a full list of changes, please read the release info located 
here:"
+       elog "https://github.com/fearedbliss/bliss-initramfs/releases/tag/9.0.0";
+       elog ""
+       elog "As of version 8.1.0, ${PN} has a new centralized configuration 
architecture."
+       elog "Any customizations you want to provide to ${PN} should be done by 
modifying"
+       elog "${CONFIG_FILE}. You can use the \"-c/--config\" option to provide"
+       elog "an alternate configuration path.\n"
+       elog "For a full list of changes, please read the release info located 
here:"
+       elog "https://github.com/fearedbliss/bliss-initramfs/releases/tag/8.1.0";
+}

Reply via email to